package com.lz.modules.sys.service.app.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lz.modules.sys.dao.app.ResultCommentMapper;
import com.lz.modules.sys.entity.app.ResultComment;
import com.lz.modules.sys.service.app.ResultCommentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
* <p>
* 业绩评论表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-10
*/

@Service
public class ResultCommentServiceImpl extends ServiceImpl<ResultCommentMapper, ResultComment> implements ResultCommentService {


    @Autowired
	private ResultCommentMapper resultCommentMapper;



	@Override
	public ResultComment selectResultCommentById(Long id){
		return resultCommentMapper.selectResultCommentById(id);
	}



	@Override
	public Long insertResultComment(ResultComment resultComment){
		return resultCommentMapper.insertResultComment(resultComment);
	}



	@Override
	public int updateResultCommentById(ResultComment resultComment){
		return resultCommentMapper.updateResultCommentById(resultComment);
	}



	@Override
	public int updateCoverResultCommentById(ResultComment resultComment){
		return resultCommentMapper.updateCoverResultCommentById(resultComment);
	}



	@Override
	public int deleteResultCommentById(Long id){
		return resultCommentMapper.deleteResultCommentById(id);
	}



}
